Using DistUpgradeViewNonInteractive causes output to be garbled.

Bug #1538880 reported by Christopher Lee on 2016-01-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Medium
Brian Murray
Wily
Medium
Brian Murray

Bug Description

When using the frontend DistUpgradeViewNonInteractive the stdout logging during the install/update is garbled as each character is shown as a single character bytestream, example:

b'\r'b'E'b'x'b't'b'r'b'a'b'c'b't'b'i'b'n'b'g'b' 'b't'b'e'b'm'b'p'b'l'b'a'b't'b'e'b's'b' 'b'f'b'r'b'o'b'm'b' 'b'p'b'a'b'c'b'k'b'a'b'g'b'e'b's'b':'b' 'b'1'b'0'b'%'b'\r'b'E'b'x'b't'b'r'b'a'b'c'b't'b'i'b'n'b'g'b' 'b't'b'e'b'm'b'p'b'l'b'a'b't'b'e'b's'b' 'b'f'b'r'b'o'b'm'b' 'b'p'b'a'b'c'b'k'b'a'b'g'b'e'b's'b':'b' 'b'2'b'0'b'%'b'\r'b'E'b'x'b't'b'r'b'a'b'c'b't'b'i'b'n'b'g'b' 'b't'b'e'b'm'b'p'b'l'b'a'b't'b'e'b's'b' 'b'f'b'r'b'o'b'm'b' 'b'p'b'a'b'c'b'k'b'a'b'g'b'e'b's'b':'b' 'b'3'b'0'b'%'b'\r'b'E'b'x'b't'b'r'b'a'b'c'b't'b'i'b'n'b'g'b' 'b't'b'e'b'm'b'p'b'l'b'a'b't'b'e'b's'b' 'b'f'b'r'b'o'b'm'b' 'b'p'b'a'b'c'b'k'b'a'b'g'b'e'b's'b':'b' 'b'4'b'0'b'%'b'\r'b'E'b'x'b't'b'r'b'a'b'c'b't'b'i'b'n'b'g'b' 'b't'b'e'b'm'b'p'b'l'b'a'b't'b'e'b's'b'
 -- 8< -- snip -- 8< --

Changed in ubuntu-release-upgrader (Ubuntu):
importance: Undecided → Medium
tags: added: trusty wily xenial
Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Triaged
Brian Murray (brian-murray) wrote :

We should make sure this is a problem on 12.04 before SRU'ing the fix to 14.04.

Changed in ubuntu-release-upgrader (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
Changed in ubuntu-release-upgrader (Ubuntu Wily):
status: New → Triaged
importance: Undecided → Medium
Brian Murray (brian-murray) wrote :

I tested an upgrade from 12.04 to 14.04 and didn't see the error reported in the description.

tags: removed: trusty
Changed in ubuntu-release-upgrader (Ubuntu Wily):
assignee: nobody → Brian Murray (brian-murray)
Changed in ubuntu-release-upgrader (Ubuntu):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:16.04.4

---------------
ubuntu-release-upgrader (1:16.04.4) xenial; urgency=medium

  * DistUpgrade/DistUpgradeMain.py: check the apt cache to see what version of
    apt is installed rather than using the apt VERSION string. (LP: #1306065)
  * test/test_sources_list.py: resolve test failures.
  * DistUpgrade/DistUpgradeCache.py: log packages which will be downgraded.
  * DistUpgrade/DistUpgradeNonInteractive.py: Ensure output when using
    is not garbled as single bytestream escaped characters. Thanks to
    Christopher Lee for the patch. (LP: #1538880)

 -- Brian Murray <email address hidden> Thu, 28 Jan 2016 15:39:09 -0800

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released

Hello Christopher, or anyone else affected,

Accepted ubuntu-release-upgrader into wily-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:15.10.14.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-release-upgrader (Ubuntu Wily):
status: Triaged → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

I tested this on a 14.04 using the following, 'do-release-upgrade -p --frontend DistUpgradeViewNonInteractive', and the output looks much better. Thanks!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:15.10.14.4

---------------
ubuntu-release-upgrader (1:15.10.14.4) wily-proposed; urgency=medium

  * DistUpgrade/DistUpgradeNonInteractive.py: Ensure output when using
    is not garbled as single bytestream escaped characters. Thanks to
    Christopher Lee for the patch. (LP: #1538880)

 -- Brian Murray <email address hidden> Fri, 05 Feb 2016 12:05:23 -0800

Changed in ubuntu-release-upgrader (Ubuntu Wily):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers